{% extends 'base.html' %}
{% load static %}
{% block title %}{{ object.title }} {% endblock %}
{% block content %}
    <div class="container-fluid p-4 bg-dark text-white text-center">
        <h1>{{ object.title }}</h1>
        <br>
        <div class="container p-4">
            <div class="row">
                <div class="col-2">
                </div>
                <div class="col-4">
                    <p> by {{object.author.first_name }} {{object.author.last_name}} </p>
                </div>
                <div class="col-4">
                    <p> {{ object.getFormattedDateTime }} </p> <br><br>
                </div>
                <div class="col-12">
                    <h4> {{ object.body }} </h4> <br><br>
                </div>
                <div class="col-4">
                    <p> Like: {{object.getLikeReacts}} </p>
                </div>
                <div class="col-4">
                    <p> Love: {{object.getLoveReacts}} </p>
                </div>
                <div class="col-4">
                    <p> Angry: {{object.getAngryReacts}} </p>
                </div>
                <div class="col-2">
                </div>
            </div>
        </div>
        <a href="/announcements/{{ object.pk }}/edit/" class="btn btn-primary">Edit Announcement</a>
    </div>


{% endblock %}
